HttpClientType (Ant Contrib)
Keywords: net.sf.antcontrib.net.httpclient.HttpClientType class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class HttpClientType

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.net.httpclient.HttpClientType

    public class HttpClientType

extends org.apache.tools.ant.types.DataType

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`HttpClientType(org.apache.tools.ant.Project p)`

Method Summary
`ClientParams` | `createClientParams()`
`HostConfig` | `createHostConfig()`
`HttpStateType` | `createHttpState()`
`org.apache.commons.httpclient.HttpClient` | `getClient()`
`protected HttpClientType` | `getRef()`
`void` | `setStateRefId(java.lang.String stateRefId)`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpClientType

    public HttpClientType(org.apache.tools.ant.Project p)

Method Detail

### getClient

    public org.apache.commons.httpclient.HttpClient getClient()

### setStateRefId

    public void setStateRefId(java.lang.String stateRefId)

### getRef

    protected HttpClientType getRef()

### createClientParams

    public ClientParams createClientParams()

### createHttpState

    public HttpStateType createHttpState()

### createHostConfig

    public HostConfig createHostConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD